
QGIS Application - Bug report #14626

SpatiaLite layer not displaying in QGIS 2.14, works ok in QGIS 2.8

2016-04-07 07:23 AM - Christophe Damour

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider/SpatiaLite

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22591

Description

Attached layer doesn't display correctly in QGIS 2.14 : no feature displayed, incorrect attribute values.

However it displays correctly in QGIS 2.8.

Related issues:

Related to QGIS Application - Bug report # 14575: attribute table errors when... Closed 2016-03-27

Duplicated by QGIS Application - Bug report # 14999: Spatialite provider does... Closed 2016-06-10

Associated revisions

Revision 10501745 - 2016-04-09 10:32 PM - Jürgen Fischer

spatialite provider: prefer rowid as primary key where available (and some cleanups)

fixes #14575, fixes #14626

Revision 69e3c6f7 - 2016-06-13 03:51 PM - Even Rouault

[Spatialite provider] prefer rowid as primary key where available

Adapted from 1050174532627ae44c4467e9911c1fca41e138e3 without the cleanups.

fixes #14575, fixes #14626, fixes #14999

History

#1 - 2016-04-07 12:07 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 2.14.1. A related fix was included.

#2 - 2016-04-07 10:10 PM - Christophe Damour

Thank you for answering Nyall.

The problem occurs in QGIS 2.14.1.

#3 - 2016-04-08 02:03 AM - Nyall Dawson
- Status changed from Feedback to Open

#4 - 2016-04-09 07:53 AM - Giovanni Manghi

- Target version set to Version 2.16

- Affected QGIS version changed from 2.14.0 to master

- Priority changed from High to Severe/Regression

#5 - 2016-04-09 01:55 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"1050174532627ae44c4467e9911c1fca41e138e3".

#6 - 2016-04-12 12:37 AM - Christophe Damour

Thanks for the correction.

Will it be backported to the next 2.14 point release ?

#7 - 2016-06-13 06:54 AM - Even Rouault

- Target version changed from Version 2.16 to Version 2.14

Backported to 2.14

Files

test_tron.zip 575 KB 2016-04-07 Christophe Damour
